List Custom Object Types
curl --request GET \
--url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/custom-objects \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/v1/external/companies/{companyId}/custom-objects"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/v1/external/companies/{companyId}/custom-objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "550e8400-e29b-41d4-a716-446655440010",
"type": "vehicle",
"displayNameExpression": "vehicleMake + vehicleModel"
},
{
"id": "550e8400-e29b-41d4-a716-446655440011",
"type": "building_info",
"displayNameExpression": null
}
]
}Custom Objects
List Custom Object Types
Returns the list of custom object types configured for the company. Use
the type value from the response as the objectType path parameter
for all other custom object endpoints.
Required permission: company.fmv1_custom_object:read
GET
/
api
/
v1
/
external
/
companies
/
{companyId}
/
custom-objects
List Custom Object Types
Was this page helpful?
⌘I
